mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.KeyedHashAlgorithm System.Runtime.InteropServices.ComVisible(true)

A MAC can be used to determine whether a message sent over an insecure channel has been tampered with, provided that the sender and receiver share a secret key. The sender computes the MAC for the original data, and sends both as a single message. The receiver recomputes the MAC on the received message, and checks that the computed MAC matches the transmitted MAC.

Any change to the data or the MAC results in a mismatch, because knowledge of the secret key is required to change the message and reproduce the correct MAC. Therefore, if the codes match, the message is authenticated.

uses a key that is 16 or 24 bytes long, and produces a hash sequence that is 8 bytes long.

Computes a Message Authentication Code (MAC) using for the input data .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor uses the default implementation of .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor uses the default implementation of . The parameter must be 16 or 24 bytes in length.

  Initializes a new instance of the class with the specified key data.

  The secret key for encryption.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter is the friendly name of the implementation type. The default implementation is System.Security.Cryptography.TripleDES.

  The parameter must be 16 or 24 bytes in length.

  Initializes a new instance of the class with the specified key data and using the specified implementation of .

  The name of the implementation to use.
  The secret key for encryption.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the disposing parameter set to true. Finalize invokes Dispose with disposing set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Routes data written to the object into the encryptor for computing the Message Authentication Code (MAC).

  The input data. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  You can read this value only after all data is written, and you cannot write more data afterward. Create a new instance of for each separate segment of data to compute the MAC for that data.

  Returns the computed Message Authentication Code (MAC) after all data is written to the object.

  The computed MAC.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method calls the default constructor for the class.

  Initializes an instance of .

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Cryptography.PaddingMode To be added.

  Most plain text messages do not consist of a number of bytes that completely fill blocks. Often, there are not enough bytes to fill the last block. When this happens, a padding string is added to the text. For example, if the block length is 64 bits and the last block contains only 40 bits, 24 bits of padding are added. See for a description of specific modes.

  This field is accessed through the property.

  Gets or sets the padding mode used in the hashing algorithm.